{
  "name": "angular-lib",
  "version": "1.0.0",
  "description": "Own angular lib",
  "main": "dist/angular-lib.cjs.js",
  "module": "dist/angular-lib.es.js",
  "files": [
    "dist"
  ],
  "exports": {
    ".": {
      "import": "./dist/angular-lib.es.js",
      "require": "./dist/angular-lib.cjs.js"
    }
  },
  "scripts": {
    "build": "vite build --config vite.config.js",
    "lint": "eslint --ext .js ./angular",
    "prepublish": "npm run lint && npm run clean && npm run build",
    "clean": "rimraf dist"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com/daniil.getin/angular-lib.git"
  },
  "author": "Daniel Hetin",
  "license": "ISC",
  "devDependencies": {
    "@babel/eslint-parser": "^7.5.4",
    "@babel/plugin-proposal-class-properties": "^7.16.7",
    "@babel/preset-env": "^7.16.11",
    "eslint": "^8.12.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-prettier": "^8.4.0",
    "eslint-plugin-import": "^2.25.4",
    "path": "^0.12.7",
    "pre-commit": "^1.2.2",
    "rimraf": "^3.0.2",
    "vite": "^2.9.1",
    "vite-plugin-css-injected-by-js": "^1.3.0"
  }
}
